# Často kladené otázky

## Pre koho to je?

Stránka je určená pre študentov a vyučujúcich na Katedre elektroniky a multimediálnych telekomunikácií pre zdieľanie výsledkov záverečných prác.
Pomôže aj záujemcom o štúdium, zamestnávateľom a partnerom katedry na získanie prehľadu o študentskej odbornej činnosti.

## Ako to funguje

Stránka je založená na princípe WIKI - každý prihlásený použvateľ môže zapisovať na ľubovoľné miesto. Každá zmena aj jej autor sa ale zaznamenáva pomocou [systému GIT](https://git.kemt.fei.tuke.sk). Je jednoduché zistiť, kto urobil kedy akú zmenu a zmenu zvrátiť.

## Čo tu nájdem?

Nájdete tu materiály súvisiace s vypracovaním záverečnej práce.

- `/home` : Domovská stránka
- `/teachers`:  Projekty pod vedením pedagógov (zapisuje hlavne pedagog).
- `/topics`: Iné informácie (Zapisujú hlavne pedagógovia)
- `/students`:  Študentské výstupy (Zapisuje hlavne študent)

Každý prihlásený používateľ ma svoj osobný profil, za ktorý je zodpovedný. 

- `/teachers/komensky`": Stránka s profilom pedagóga
- `/teachers/komensky/bp2020`: Stránka s bakalárskymi prácami pedagóga

Študenti sú organizovaní do skupín podľa roku nástupu na štúdium:

- `/students/2016/ab123cd`:  Stránka s profilom študenta a prácami na ktorých pracoval.


## Ako vytvorím stránku

Najprv získajte prístup k repozitáru [GIT](https://git.kemt.fei.tuke.sk/KEMT/zpwiki).
Stránky môžte editovať cez web rozhranie systému  alebo lokálne pomocou Vášho obľúbeného textového editora a synchronizovať pomocou príkazu `git`.

Jedna stránka zodpovedá jednému adresáru. Do adresáru  umiestnite text stránky vo formáte Merkdown do súboru `README.md` a ostatné súvisiace súbory, napr. obrázky.

Ak chcete vytvoriť stránku, vytvorte na vhodnom mieste adresár. 
V adresári vytvorte  súbor `README.md` a pridajte obrázky a iné súbory. Stránka sa bude volať rovnako ako adresár. 

## Čo je to Markdown?

Markdown je jednoduchý značkovací formát obyčajného textu ktorý sa dá ľahko premeniť na HTML alebo aj iné formáty.

- [Krátky prehľad syntaxe](https://commonmark.org/help/)
- [Viac informácií o Markdown](https://www.markdownguide.org/getting-started)

Text vo formáte Markdown vytvoríte pomocou textového editora alebo pomocou webového editora, ale môžte využiť aj špecializované nástroje:

- [Dillinger](https://dillinger.io/), online Markdown Editor
- Online nástroj na [konverziu DOC](https://word2md.com/)
- [Pandoc](https://pandoc.org/) (konverzia z a do Markdown)

## Ako vytvorím odkaz

Meno stránky je totožné s adresárom v ktorom sa nachádza. Na stránku sa odkážete podobne ako na adresár v ktorom sa nachádza.
Napr. odkaz na stránku s Vašim projektom zo stránky predmetu `/teachers/hladek/bp2020`:

    [Text odkazu](../../students/ab123cd/bp)

## Ako vložím obrázok

Uložte súbor s obrázkom do adresára s Vašou stránkou. Do textu pridajte odkaz na obrázok a pridajte výkričník:

    ![Text odkazu](./obrazok.jpg)

## Čo ak som našiel preklep?

Môžte ho sám opraviť.
